changeset 5885:f0b9706d8d7e

scripts: introduce scripts/run-all-cleanup - run this before committing to make sure some aspects of the coding style is maintained
author Mads Kiilerich <madski@unity3d.com>
date Mon, 02 May 2016 23:45:26 +0200
parents d170cf8cf5b1
children 54793f1e0f33
files docs/contributing.rst scripts/run-all-cleanup
diffstat 2 files changed, 13 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/docs/contributing.rst	Wed May 04 01:18:25 2016 +0200
+++ b/docs/contributing.rst	Mon May 02 23:45:26 2016 +0200
@@ -118,6 +118,9 @@
 ``{}``.
 Variables holding jQuery objects should be named with a leading ``$``.
 
+Run ``scripts/run-all-cleanup`` before committing to ensure some basic code
+formatting consistency.
+
 Commit messages should have a leading short line summarizing the changes. For
 bug fixes, put ``(Issue #123)`` at the end of this line.
 
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/run-all-cleanup	Mon May 02 23:45:26 2016 +0200
@@ -0,0 +1,10 @@
+#!/usr/bin/sh
+
+# Convenience script for running various idempotent source code cleanup scripts
+
+set -e
+set -x
+
+scripts/docs-headings.py
+scripts/generate-ini.py
+scripts/whitespacecleanup.sh